---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t005.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x33C0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54530, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56470, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56860, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x57800, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x57810, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54060, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54064, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54068, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x541C0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54278, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5427C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54280, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54284, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54288, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x54290, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x542A0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x542A8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x542B0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x542B8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x542C0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x542C8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x54310, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x543B0, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x9510, offset: 0x9510, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x54450, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x9529, offset: 0x9529, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x54458, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x9542, offset: 0x9542, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x54460, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x9594, offset: 0x9594, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2060, symSize: 0x80 }
  - { offsetInCU: 0x9629, offset: 0x9629, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1FB0, symSize: 0xB0 }
  - { offsetInCU: 0x9684, offset: 0x9684, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1EB0, symSize: 0x100 }
  - { offsetInCU: 0x9917, offset: 0x9917, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x20E0, symSize: 0xC0 }
  - { offsetInCU: 0x9969, offset: 0x9969, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x21A0, symSize: 0x220 }
  - { offsetInCU: 0x9B4E, offset: 0x9B4E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x23C0, symSize: 0xA0 }
  - { offsetInCU: 0x9C01, offset: 0x9C01, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2460, symSize: 0x110 }
  - { offsetInCU: 0x9CF7, offset: 0x9CF7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2570, symSize: 0x150 }
  - { offsetInCU: 0x9E74, offset: 0x9E74, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x26C0, symSize: 0x30 }
  - { offsetInCU: 0x9F55, offset: 0x9F55, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x26F0, symSize: 0x150 }
  - { offsetInCU: 0xA14D, offset: 0xA14D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2840, symSize: 0x160 }
  - { offsetInCU: 0xA40D, offset: 0xA40D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x29A0, symSize: 0x4A0 }
  - { offsetInCU: 0xA680, offset: 0xA680, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2E40, symSize: 0x1B0 }
  - { offsetInCU: 0xA89B, offset: 0xA89B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2FF0, symSize: 0xA0 }
  - { offsetInCU: 0xA96A, offset: 0xA96A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3090, symSize: 0x20 }
  - { offsetInCU: 0xA9A1, offset: 0xA9A1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x30B0, symSize: 0x20 }
  - { offsetInCU: 0xA9D8, offset: 0xA9D8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x30D0, symSize: 0x20 }
  - { offsetInCU: 0xAB67, offset: 0xAB67, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x30F0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE83, offset: 0xAE83, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3290, symSize: 0x130 }
  - { offsetInCU: 0xB033, offset: 0xB033, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3630, symSize: 0x1B0 }
  - { offsetInCU: 0xB322, offset: 0xB322, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x37E0, symSize: 0x80 }
  - { offsetInCU: 0xB3EB, offset: 0xB3EB, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3860, symSize: 0x6A0 }
  - { offsetInCU: 0xBF80, offset: 0xBF80, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB330, symBinAddr: 0x5D20, symSize: 0xB0 }
  - { offsetInCU: 0xBFF7, offset: 0xBFF7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3F00, symSize: 0x70 }
  - { offsetInCU: 0xC0EB, offset: 0xC0EB, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3F70, symSize: 0xA0 }
  - { offsetInCU: 0xC1F6, offset: 0xC1F6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4010, symSize: 0x40 }
  - { offsetInCU: 0xC2EC, offset: 0xC2EC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4050, symSize: 0x2B0 }
  - { offsetInCU: 0xC692, offset: 0xC692, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4300, symSize: 0xC0 }
  - { offsetInCU: 0xC7D8, offset: 0xC7D8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x43C0, symSize: 0x10 }
  - { offsetInCU: 0xC89A, offset: 0xC89A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x43D0, symSize: 0x220 }
  - { offsetInCU: 0xCB97, offset: 0xCB97, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x45F0, symSize: 0x10 }
  - { offsetInCU: 0xCBF4, offset: 0xCBF4, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4600, symSize: 0x790 }
  - { offsetInCU: 0xD457, offset: 0xD457, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA3A0, symBinAddr: 0x4D90, symSize: 0x10 }
  - { offsetInCU: 0xD4B4, offset: 0xD4B4, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xA3B0, symBinAddr: 0x4DA0, symSize: 0x170 }
  - { offsetInCU: 0xD5A6, offset: 0xD5A6, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xA520, symBinAddr: 0x4F10, symSize: 0x20 }
  - { offsetInCU: 0xD5F2, offset: 0xD5F2, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xA540, symBinAddr: 0x4F30, symSize: 0x120 }
  - { offsetInCU: 0xD75B, offset: 0xD75B, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xA660, symBinAddr: 0x5050, symSize: 0xD0 }
  - { offsetInCU: 0xD87A, offset: 0xD87A, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xA730, symBinAddr: 0x5120, symSize: 0xE0 }
  - { offsetInCU: 0xD95B, offset: 0xD95B, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xA810, symBinAddr: 0x5200, symSize: 0x20 }
  - { offsetInCU: 0xD9DD, offset: 0xD9DD, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xA830, symBinAddr: 0x5220, symSize: 0x20 }
  - { offsetInCU: 0xDA49, offset: 0xDA49, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xA850, symBinAddr: 0x5240, symSize: 0x20 }
  - { offsetInCU: 0xDAAA, offset: 0xDAAA, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xA870, symBinAddr: 0x5260, symSize: 0x20 }
  - { offsetInCU: 0xDB0B, offset: 0xDB0B, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xA890, symBinAddr: 0x5280, symSize: 0x20 }
  - { offsetInCU: 0xDB6C, offset: 0xDB6C, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xA8B0, symBinAddr: 0x52A0, symSize: 0x20 }
  - { offsetInCU: 0xDBEE, offset: 0xDBEE, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xA8D0, symBinAddr: 0x52C0, symSize: 0x20 }
  - { offsetInCU: 0xDC86, offset: 0xDC86, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xA8F0, symBinAddr: 0x52E0, symSize: 0x20 }
  - { offsetInCU: 0xDCDC, offset: 0xDCDC, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xA910, symBinAddr: 0x5300, symSize: 0x20 }
  - { offsetInCU: 0xDD48, offset: 0xDD48, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xA930, symBinAddr: 0x5320, symSize: 0x20 }
  - { offsetInCU: 0xDDB4, offset: 0xDDB4, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xA950, symBinAddr: 0x5340, symSize: 0x20 }
  - { offsetInCU: 0xDE15, offset: 0xDE15, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xA970, symBinAddr: 0x5360, symSize: 0x20 }
  - { offsetInCU: 0xDE76, offset: 0xDE76, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xA990, symBinAddr: 0x5380, symSize: 0x20 }
  - { offsetInCU: 0xDECC, offset: 0xDECC, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xA9B0, symBinAddr: 0x53A0, symSize: 0x20 }
  - { offsetInCU: 0xDF27, offset: 0xDF27, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xA9D0, symBinAddr: 0x53C0, symSize: 0x20 }
  - { offsetInCU: 0xDFA6, offset: 0xDFA6, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xA9F0, symBinAddr: 0x53E0, symSize: 0x20 }
  - { offsetInCU: 0xDFF5, offset: 0xDFF5, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xAA10, symBinAddr: 0x5400, symSize: 0x20 }
  - { offsetInCU: 0xE02C, offset: 0xE02C, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xAA30, symBinAddr: 0x5420, symSize: 0x20 }
  - { offsetInCU: 0xE063, offset: 0xE063, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xAA50, symBinAddr: 0x5440, symSize: 0x20 }
  - { offsetInCU: 0xE0A6, offset: 0xE0A6, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xAA70, symBinAddr: 0x5460, symSize: 0x2A0 }
  - { offsetInCU: 0xE405, offset: 0xE405, size: 0x8, addend: 0x0, symName: _cbNewVMObjectAlloc, symObjAddr: 0xAD10, symBinAddr: 0x5700, symSize: 0x2A0 }
  - { offsetInCU: 0xE764, offset: 0xE764, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xAFB0, symBinAddr: 0x59A0, symSize: 0x2D0 }
  - { offsetInCU: 0xE82E, offset: 0xE82E, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB280, symBinAddr: 0x5C70, symSize: 0xB0 }
  - { offsetInCU: 0xE94B, offset: 0xE94B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB3E0, symBinAddr: 0x5DD0, symSize: 0x36A }
...
